Verificar la integridad de la cadena hash de eventos de auditoría
curl --request GET \
--url https://tracer.sandbox.lerian.net/v1/audit-events/{id}/verify \
--header 'Authorization: Bearer <token>'import requests
url = "https://tracer.sandbox.lerian.net/v1/audit-events/{id}/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tracer.sandbox.lerian.net/v1/audit-events/{id}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isValid": true,
"message": "hash chain intact",
"totalChecked": 1000,
"firstInvalidId": 42
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Verificar la integridad de la cadena hash de eventos de auditoría
Usa este endpoint para verificar la integridad de la cadena de hash de eventos de auditoría hasta un evento especifico. Detecta intentos de manipulacion. Diseñado para cumplimiento SOX/GLBA.
GET
/
v1
/
audit-events
/
{id}
/
verify
Verificar la integridad de la cadena hash de eventos de auditoría
Autorizaciones
BearerAuthApiKeyAuth
JWT bearer token issued by the identity provider.
Parámetros de ruta
Audit event ID (UUID)
¿Esta página le ayudó?

